Package org.silverpeas.mobile.client.apps.documents.resources

## Interface DocumentsMessages

- All Superinterfaces:
    `com.google.gwt.i18n.client.Localizable`, `com.google.gwt.i18n.shared.Localizable`, `com.google.gwt.i18n.client.LocalizableResource`, `com.google.gwt.i18n.client.Messages`

      public interface DocumentsMessages
      extends com.google.gwt.i18n.client.Messages

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.LocalizableResource

      `com.google.gwt.i18n.client.LocalizableResource.DefaultLocale, com.google.gwt.i18n.client.LocalizableResource.Description, com.google.gwt.i18n.client.LocalizableResource.Generate, com.google.gwt.i18n.client.LocalizableResource.GeneratedFrom, com.google.gwt.i18n.client.LocalizableResource.GenerateKeys, com.google.gwt.i18n.client.LocalizableResource.Key, com.google.gwt.i18n.client.LocalizableResource.Meaning`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.Messages

      `com.google.gwt.i18n.client.Messages.AlternateMessage, com.google.gwt.i18n.client.Messages.DefaultMessage, com.google.gwt.i18n.client.Messages.Example, com.google.gwt.i18n.client.Messages.Offset, com.google.gwt.i18n.client.Messages.Optional, com.google.gwt.i18n.client.Messages.PluralCount, com.google.gwt.i18n.client.Messages.PluralText, com.google.gwt.i18n.client.Messages.Select`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.gwt.safehtml.shared.SafeHtml` | `commentsLabel()` |
    `String` | `content()` |
    `String` | `creation​(String creationDate, String creator)` |
    `String` | `draftOut()` |
    `String` | `edit()` |
    `com.google.gwt.safehtml.shared.SafeHtml` | `emailsLabel()` |
    `com.google.gwt.safehtml.shared.SafeHtml` | `endValidityLabel()` |
    `String` | `fileNotSupportedError()` |
    `String` | `importFile()` |
    `String` | `lastUpdate​(String updateDate, String updater)` |
    `com.google.gwt.safehtml.shared.SafeHtml` | `maxAccessLabel()` |
    `String` | `maxUploadError()` |
    `String` | `noview()` |
    `String` | `publicationTitle()` |
    `String` | `share()` |
    `String` | `sizeK​(String size)` |
    `String` | `sizeM​(String size)` |
    `String` | `title()` |
    `com.google.gwt.safehtml.shared.SafeHtml` | `usersLabel()` |
    `com.google.gwt.safehtml.shared.SafeHtml` | `validityLabel()` |
    `String` | `validityMandatory()` |
    `String` | `validityPermanent()` |
    `String` | `validityTemporary()` |
    `String` | `view()` |
    `String` | `views​(int number)` |

- - ### Method Detail

    - #### title

          String title()

    - #### lastUpdate

          String lastUpdate​(String updateDate,
                            String updater)

    - #### publicationTitle

          String publicationTitle()

    - #### sizeK

          String sizeK​(String size)

    - #### sizeM

          String sizeM​(String size)

    - #### content

          String content()

    - #### creation

          String creation​(String creationDate,
                          String creator)

    - #### views

          String views​(int number)

    - #### view

          String view()

    - #### noview

          String noview()

    - #### share

          String share()

    - #### validityPermanent

          String validityPermanent()

    - #### validityTemporary

          String validityTemporary()

    - #### validityMandatory

          String validityMandatory()

    - #### validityLabel

          com.google.gwt.safehtml.shared.SafeHtml validityLabel()

    - #### endValidityLabel

          com.google.gwt.safehtml.shared.SafeHtml endValidityLabel()

    - #### maxAccessLabel

          com.google.gwt.safehtml.shared.SafeHtml maxAccessLabel()

    - #### usersLabel

          com.google.gwt.safehtml.shared.SafeHtml usersLabel()

    - #### emailsLabel

          com.google.gwt.safehtml.shared.SafeHtml emailsLabel()

    - #### commentsLabel

          com.google.gwt.safehtml.shared.SafeHtml commentsLabel()

    - #### importFile

          String importFile()

    - #### maxUploadError

          String maxUploadError()

    - #### fileNotSupportedError

          String fileNotSupportedError()

    - #### draftOut

          String draftOut()

    - #### edit

          String edit()